Bug 246786 - php-common rpm does not install on top of itself correctly with --force
php-common rpm does not install on top of itself correctly with --force
Status: CLOSED WONTFIX
Product: Red Hat Web Application Stack
Classification: Retired
Component: php (Show other bugs)
v1
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
Gurhan Ozen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-04 15:57 EDT by Steve
Modified: 2013-11-03 20:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-04 10:01:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve 2007-07-04 15:57:15 EDT
Description of problem:

This is kind of a strange issue, but if you use the --force option to install 
php-common when it is already on the system with the same version, the return 
code from RPM is "1", indicating an error.  This may seem appropriate, but 
trying this with other php packages creates no problems (i.e. return codes 
of "0").  Additionally, verbose output from the rpm command does not seem to 
indicate any issues.  


Version-Release number of selected component (if applicable):
php-common-5.1.6-3.el4s1.7.i386.rpm

How reproducible:
always

Steps to Reproduce:
1. have a system without any PHP rpms installed
2. install php-common with --force
3. install php-common again with --force
4. echo $?
  
Actual results:
1 is returned

Expected results:
0 is returned

Additional info:

Here is an example run of this:
[root@smithsg-s8500c i386]# rpm -qa | grep php
[root@smithsg-s8500c i386]# rpm -Uvh php-common-5.1.6-3.el4s1.7.i386.rpm
Preparing...                ########################################### [100%]
        file /etc/php.ini from install of php-common-5.1.6-3.el4s1.7 conflicts 
with file from package acpconf-s8500-ibmx306m-01.0.814.1-0
[root@smithsg-s8500c i386]# rpm --force -Uvh php-common-5.1.6-
3.el4s1.7.i386.rpm
Preparing...                ########################################### [100%]
   1:php-common             warning: /etc/php.ini saved as /etc/php.ini.rpmsave
########################################### [100%]
[root@smithsg-s8500c i386]# echo $?
0
[root@smithsg-s8500c i386]# rpm --force -Uvh php-common-5.1.6-
3.el4s1.7.i386.rpm
Preparing...                ########################################### [100%]
   1:php-common             ########################################### [100%]
[root@smithsg-s8500c i386]# echo $?
1
[root@smithsg-s8500c i386]#


[root@smithsg-s8500c i386]# rpm -Uvh php-cli-5.1.6-3.el4s1.7.i386.rpm
Preparing...                ########################################### [100%]
   1:php-cli                ########################################### [100%]
[root@smithsg-s8500c i386]# echo $?
0
[root@smithsg-s8500c i386]# rpm -Uvh php-cli-5.1.6-3.el4s1.7.i386.rpm
Preparing...                ########################################### [100%]
        package php-cli-5.1.6-3.el4s1.7 is already installed
[root@smithsg-s8500c i386]# echo $?
1
[root@smithsg-s8500c i386]# rpm --force -Uvh php-cli-5.1.6-3.el4s1.7.i386.rpm
Preparing...                ########################################### [100%]
   1:php-cli                ########################################### [100%]
[root@smithsg-s8500c i386]# echo $?
0
[root@smithsg-s8500c i386]# rpm -qa | grep php
php-common-5.1.6-3.el4s1.7
php-cli-5.1.6-3.el4s1.7
[root@smithsg-s8500c i386]#
Comment 1 Joe Orton 2007-07-04 16:08:42 EDT
I would suspect the root cause of this is the file conflict with the third-party
package:

        file /etc/php.ini from install of php-common-5.1.6-3.el4s1.7 conflicts 
with file from package acpconf-s8500-ibmx306m-01.0.814.1-0

if you remove that I'd suspect everything works as expected.

[refiled against the Application Stack since these are packages from the Stack]
Comment 2 Steve 2007-07-04 16:14:46 EDT
This occurs whether or not the other package is installed, please see below.  
I have also added the output from the RPM command, which does not seem to 
indicate any errors (at least, not to me).  

Thanks,
Steve

[root@smithsg-s8500c i386]# rpm -e --nodeps php-common
[root@smithsg-s8500c i386]# rpm -Uvh php-common-5.1.6-3.el4s1.7.i386.rpm
Preparing...                ########################################### [100%]
        file /etc/php.ini from install of php-common-5.1.6-3.el4s1.7 conflicts 
with file from package acpconf-s8500-ibmx306m-01.0.814.1-0
[root@smithsg-s8500c i386]# rpm -e acpconf-s8500-ibmx306m-01.0.814.1-0
warning: /etc/sysconfig/network-scripts/ifcfg-eth1 saved 
as /etc/sysconfig/network-scripts/ifcfg-eth1.rpmsave
[root@smithsg-s8500c i386]# set -o vi
[root@smithsg-s8500c i386]# rpm -Uvh php-common-5.1.6-3.el4s1.7.i386.rpm
Preparing...                ########################################### [100%]
   1:php-common             ########################################### [100%]
[root@smithsg-s8500c i386]# rpm -Uvh php-common-5.1.6-3.el4s1.7.i386.rpm
Preparing...                ########################################### [100%]
        package php-common-5.1.6-3.el4s1.7 is already installed
[root@smithsg-s8500c i386]# echo $?
2
[root@smithsg-s8500c i386]# rpm --force -Uvh php-common-5.1.6-
3.el4s1.7.i386.rpm
Preparing...                ########################################### [100%]
   1:php-common             ########################################### [100%]
[root@smithsg-s8500c i386]# echo $?
1
[root@smithsg-s8500c i386]# rpm --force -Uvvh php-common-5.1.6-
3.el4s1.7.i386.rpm
D: ============== php-common-5.1.6-3.el4s1.7.i386.rpm
D: Expected size:       138623 = lead(96)+sigs(180)+pad(4)+data(138343)
D:   Actual size:       138623
D: php-common-5.1.6-3.el4s1.7.i386.rpm: MD5 digest: OK 
(c0800062584fd31cc645759595352007)
D: opening  db environment /usr/lib/rpm/db/Packages joinenv
D: opening  db index       /usr/lib/rpm/db/Packages rdonly mode=0x0
D: locked   db index       /usr/lib/rpm/db/Packages
D: opening  db index       /usr/lib/rpm/db/Providename rdonly mode=0x0
D:  read h#     392 Header SHA1 digest: OK 
(ecd7f2c996aeee8ecb40ee330c67fbbcd52cbbad)
D:      added binary package [0]
D: found 0 source and 1 binary packages
D: ========== +++ php-common-5.1.6-3.el4s1.7 i386/linux 0x0
D: opening  db index       /usr/lib/rpm/db/Depends create mode=0x0
D:  Requires: config(php-common) = 5.1.6-3.el4s1.7          YES (added provide)
D:  Requires: rpmlib(CompressedFileNames) <= 3.0.4-1        YES (rpmlib 
provides)
D:  Requires: rpmlib(PayloadFilesHavePrefix) <= 4.0-1       YES (rpmlib 
provides)
D:  Requires: rpmlib(VersionedDependencies) <= 3.0.3-1      YES (rpmlib 
provides)
D: opening  db index       /usr/lib/rpm/db/Conflictname rdonly mode=0x0
D: ========== --- php-common-5.1.6-3.el4s1.7 i386/linux 0x0
D: opening  db index       /usr/lib/rpm/db/Requirename rdonly mode=0x0
D:  read h#     390 Header SHA1 digest: OK 
(a27107d1a79b9a62d4dfc5302024206a369252c6)
D:  Requires: php-common = 5.1.6-3.el4s1.7                  YES (added provide)
D: closed   db index       /usr/lib/rpm/db/Depends
D: ========== recording tsort relations
D: ========== tsorting packages (order, #predecessors, #succesors, tree, depth)
D:     0    0    0    1    0 -php-common-5.1.6-3.el4s1.7
D: ========== successors only (0 bytes)
D:     1    0    0    0    0 +php-common-5.1.6-3.el4s1.7
D: installing binary packages
D: closed   db index       /usr/lib/rpm/db/Conflictname
D: closed   db index       /usr/lib/rpm/db/Providename
D: closed   db index       /usr/lib/rpm/db/Requirename
D: closed   db index       /usr/lib/rpm/db/Packages
D: closed   db environment /usr/lib/rpm/db/Packages
D: opening  db environment /usr/lib/rpm/db/Packages joinenv
D: opening  db index       /usr/lib/rpm/db/Packages create mode=0x42
D: mounted filesystems:
D:     i    dev bsize       bavail       iavail mount point
D:     0 0x0801  4096      4209905      2359959 /
D:     1 0x0003  4096            0           -1 /proc
D:     2 0x0000  4096            0           -1 /sys
D:     3 0x0009  4096            0           -1 /dev/pts
D:     4 0x000d  4096            0           -1 /proc/bus/usb
D:     5 0x0806  4096      4265845      2375500 /root2
D:     6 0x0805  4096      8896013      4822939 /var
D:     7 0x000e  4096            0           -1 /proc/sys/fs/binfmt_misc
D:     8 0x000f  4096            0           -1 /var/lib/nfs/rpc_pipefs
D:     9 0x0010  4096            0           -1 /mt/mtgzfs8
D:    10 0x0011  4096            0           -1 /dr/client_usr
D:    11 0x0012  4096            0           -1 /mt/mtgzfs7
D:    12 0x0013  4096            0           -1 /dr/longs
D:    13 0x0014  4096            0           -1 /dr/defty
D:    14 0x0015  4096            0           -1 /octel/anypath
D:    15 0x0016  4096            0           -1 /wspace
D:    16 0x0017  4096            0           -1 /dr/eid
D:    17 0x0018  4096            0           -1 /sable
D:    18 0x0019  4096            0           -1 /audix
D:    19 0x001a  4096            0           -1 /home
D:    20 0x001b  4096            0           -1 /NIS
D:    21 0x001c  4096            0           -1 /nj
D:    22 0x001d  4096            0           -1 /dr/unicorn/space4
D:    23 0x001e  4096            0           -1 /dr/unicorn/space3
D:    24 0x001f  4096            0           -1 /dr/unicorn/space2
D:    25 0x0020  4096            0           -1 /dr/unicorn/space1
D:    26 0x0021  4096            0           -1 /dr/unicorn/space
D:    27 0x0022  4096            0           -1 /octel/anypath2
D:    28 0x0023  4096            0           -1 /dr/terminate
D:    29 0x0024  4096            0           -1 /dr/habanero
D:    30 0x0025  4096            0           -1 /usr/add-on
D:    31 0x0026  4096            0           -1 /dr/nmaroon
D:    32 0x0027  4096            0           -1 /dr/others
D:    33 0x0028  4096            0           -1 /dr/s85r2
D:    34 0x0029  4096            0           -1 /dr/mmcs
D:    35 0x002a  4096            0           -1 /dr/cms
D:    36 0x002b  4096            0           -1 /g3fld
D:    37 0x002c  4096            0           -1 /ndr
D:    38 0x002d  4096            0           -1 /cad
D:    39 0x002e  8192         1818      4122991 /home/smithsg
D: sanity checking 2 elements
D: computing 60 file fingerprints
Preparing...                D: computing file dispositions
D: opening  db index       /usr/lib/rpm/db/Basenames create mode=0x42
D:  read h#     392 Header SHA1 digest: OK 
(ecd7f2c996aeee8ecb40ee330c67fbbcd52cbbad)
########################################### [100%]
D: ========== +++ php-common-5.1.6-3.el4s1.7 i386-linux 0x0
D: Expected size:       138623 = lead(96)+sigs(180)+pad(4)+data(138343)
D:   Actual size:       138623
D:   install: php-common-5.1.6-3.el4s1.7 has 30 files, test = 0
D: opening  db index       /usr/lib/rpm/db/Name create mode=0x42
   1:php-common             D: ========== Directories not explicitly included 
in package:
D:          0 /etc/
D:          1 /usr/lib/
D:          3 /usr/share/doc/
D:          5 /var/lib/
D: ==========
D: fini      040755  2 (   0,   0)         0 /etc/php.d
D: fini      100644  1 (   0,   0)     44233 /etc/php.ini;468be218
D: fini      040755  5 (   0,   0)         0 /usr/lib/php
D: fini      040755  2 (   0,   0)         0 /usr/lib/php/modules
D: fini      040755  2 (   0,   0)         0 /usr/lib/php/pear
D: fini      040755  2 (   0,   0)         0 /usr/share/doc/php-common-5.1.6
D: fini      100644  1 (   0,   0)     11110 /usr/share/doc/php-common-
5.1.6/CODING_STANDARDS;468be218
D: fini      100644  1 (   0,   0)        91 /usr/share/doc/php-common-
5.1.6/CREDITS;468be218
D: fini      100644  1 (   0,   0)     23175 /usr/share/doc/php-common-
5.1.6/EXTENSIONS;468be218
D: fini      100644  1 (   0,   0)     88589 /usr/share/doc/php-common-
5.1.6/INSTALL;468be218
D: fini      100644  1 (   0,   0)      3218 /usr/share/doc/php-common-
5.1.6/LICENSE;468be218
D: fini      100644  1 (   0,   0)     90538 /usr/share/doc/php-common-
5.1.6/NEWS;468be218
D: fini      100644  1 (   0,   0)      1570 /usr/share/doc/php-common-
5.1.6/README.EXTENSIONS;468be218
D: fini      100644  1 (   0,   0)      7126 /usr/share/doc/php-common-
5.1.6/README.EXT_SKEL;468be218
D: fini      100644  1 (   0,   0)      3888 /usr/share/doc/php-common-
5.1.6/README.PARAMETER_PARSING_API;468be218
D: fini      100644  1 (   0,   0)      4740 /usr/share/doc/php-common-
5.1.6/README.PHP4-TO-PHP5-THIN-CHANGES;468be218
D: fini      100644  1 (   0,   0)      4768 /usr/share/doc/php-common-
5.1.6/README.SELF-CONTAINED-EXTENSIONS;468be218
D: fini      100644  1 (   0,   0)     15427 /usr/share/doc/php-common-
5.1.6/README.STREAMS;468be218
D: fini      100644  1 (   0,   0)      4557 /usr/share/doc/php-common-
5.1.6/README.SUBMITTING_PATCH;468be218
D: fini      100644  1 (   0,   0)      6508 /usr/share/doc/php-common-
5.1.6/README.TESTING;468be218
D: fini      100644  1 (   0,   0)      4922 /usr/share/doc/php-common-
5.1.6/README.TESTING2;468be218
D: fini      100644  1 (   0,   0)      4261 /usr/share/doc/php-common-
5.1.6/README.UNIX-BUILD-SYSTEM;468be218
D: fini      100644  1 (   0,   0)      6290 /usr/share/doc/php-common-
5.1.6/README.WIN32-BUILD-SYSTEM;468be218
D: fini      100644  1 (   0,   0)      5756 /usr/share/doc/php-common-
5.1.6/README.input_filter;468be218
D: fini      100644  1 (   0,   0)      1314 /usr/share/doc/php-common-
5.1.6/TSRM_LICENSE;468be218
D: fini      100644  1 (   0,   0)     37161 /usr/share/doc/php-common-
5.1.6/ZEND_CHANGES;468be218
D: fini      100644  1 (   0,   0)      2815 /usr/share/doc/php-common-
5.1.6/ZEND_LICENSE;468be218
########################################### [100%]
D: fini      100644  1 (   0,   0)      3221 /usr/share/doc/php-common-
5.1.6/gd_README;468be218
D: fini      100644  1 (   0,   0)       950 /usr/share/doc/php-common-
5.1.6/regex_COPYRIGHT;468be218
D: fini      040755  3 (   0,   0)         0 /var/lib/php
GZDIO:      47 reads,   381000 total bytes in 0.005565 secs
D:   --- h#     392 php-common-5.1.6-3.el4s1.7
D: removing "php-common" from Name index.
D: removing 30 entries from Basenames index.
D: opening  db index       /usr/lib/rpm/db/Group create mode=0x42
D: removing "Development/Languages" from Group index.
D: opening  db index       /usr/lib/rpm/db/Requirename create mode=0x42
D: removing 4 entries from Requirename index.
D: opening  db index       /usr/lib/rpm/db/Providename create mode=0x42
D: removing 33 entries from Providename index.
D: opening  db index       /usr/lib/rpm/db/Dirnames create mode=0x42
D: removing 6 entries from Dirnames index.
D: opening  db index       /usr/lib/rpm/db/Requireversion create mode=0x42
D: removing 4 entries from Requireversion index.
D: opening  db index       /usr/lib/rpm/db/Provideversion create mode=0x42
D: removing 33 entries from Provideversion index.
D: opening  db index       /usr/lib/rpm/db/Installtid create mode=0x42
D: removing 1 entries from Installtid index.
D: opening  db index       /usr/lib/rpm/db/Sigmd5 create mode=0x42
D: removing 1 entries from Sigmd5 index.
D: opening  db index       /usr/lib/rpm/db/Sha1header create mode=0x42
D: removing "ecd7f2c996aeee8ecb40ee330c67fbbcd52cbbad" from Sha1header index.
D: opening  db index       /usr/lib/rpm/db/Filemd5s create mode=0x42
D: removing 30 entries from Filemd5s index.
D:   +++ h#     393 Header SHA1 digest: OK 
(ecd7f2c996aeee8ecb40ee330c67fbbcd52cbbad)
D: adding "php-common" to Name index.
D: adding 30 entries to Basenames index.
D: adding "Development/Languages" to Group index.
D: adding 4 entries to Requirename index.
D: adding 33 entries to Providename index.
D: adding 6 entries to Dirnames index.
D: adding 4 entries to Requireversion index.
D: adding 33 entries to Provideversion index.
D: adding 1 entries to Installtid index.
D: adding 1 entries to Sigmd5 index.
D: adding "ecd7f2c996aeee8ecb40ee330c67fbbcd52cbbad" to Sha1header index.
D: adding 30 entries to Filemd5s index.
D: opening  db index       /usr/lib/rpm/db/Triggername create mode=0x42
D: ========== --- php-common-5.1.6-3.el4s1.7 i386-linux 0x0
D:     erase: php-common-5.1.6-3.el4s1.7 has 30 files, test = 0
D: closed   db index       /usr/lib/rpm/db/Filemd5s
D: closed   db index       /usr/lib/rpm/db/Sha1header
D: closed   db index       /usr/lib/rpm/db/Sigmd5
D: closed   db index       /usr/lib/rpm/db/Installtid
D: closed   db index       /usr/lib/rpm/db/Provideversion
D: closed   db index       /usr/lib/rpm/db/Requireversion
D: closed   db index       /usr/lib/rpm/db/Dirnames
D: closed   db index       /usr/lib/rpm/db/Triggername
D: closed   db index       /usr/lib/rpm/db/Providename
D: closed   db index       /usr/lib/rpm/db/Requirename
D: closed   db index       /usr/lib/rpm/db/Group
D: closed   db index       /usr/lib/rpm/db/Basenames
D: closed   db index       /usr/lib/rpm/db/Name
D: closed   db index       /usr/lib/rpm/db/Packages
D: closed   db environment /usr/lib/rpm/db/Packages
[root@smithsg-s8500c i386]# echo $?
1
[root@smithsg-s8500c i386]#
Comment 3 Joe Orton 2010-08-04 10:01:41 EDT
The Application Stack v1 support lifecycle has now ended.  Please contact Red Hat Support if you have further questions.

Note You need to log in before you can comment on or make changes to this bug.